#include <iostream>
#include <cmath>
#include <iomanip>

using namespace std;

long long length(long long x,long long br){    

	if(x>9){
		br++;
		return length(x/10,br);
	}else{
		return br;
	}
		
}

long long transform(long long x){             
	
	long long numb=1;
	while(x>0){
		numb = numb*10;
		x--;
	}
	return numb;
}

int main(){
	
    long long a,b,c;
    long long al,bl,cl;
    long long at,bt,ct;
    long long i,j,tmp,br;
    cin>>a>>b>>c;
    br=1;
    
    al=length(a,br);            //ovo radi nista ne diraj
    bl=length(b,br);
    cl=length(c,br);
    
    long long MAX = 0;
    
    at=transform(al);
    bt=transform(bl);
    ct=transform(cl);
    
    if(MAX<a*(bt*ct)+b*ct+c){    // a b c
    	MAX=a*(bt*ct)+b*ct+c;
    }
    if(MAX<b*(at*ct)+a*ct+c){    // b a c
    	MAX=b*(at*ct)+a*ct+c;
    }
    if(MAX<b*(ct*at)+c*at+a){    // b c a
    	MAX=b*(ct*at)+c*at+a;
    }
    if(MAX<a*(ct*bt)+c*bt+b){    // a c b
    	MAX=a*(ct*bt)+c*bt+b;
    }
    if(MAX<c*(bt*at)+b*at+a){    // c b a
    	MAX=c*(bt*at)+b*at+a;
    }
    if(MAX<c*(at*bt)+a*bt+b){    // c a b
    	MAX=c*(at*bt)+a*bt+b;
    }
    
    cout<<MAX;
    
    //overflow na br vecim od 6 cifara
}